mikrocontroller.net

Forum: Mikrocontroller und Digitale Elektronik Buildrootproblem


Autor: Philipp H. (ennox)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Hallo Leute,

bin derzeit dabei ein eigenes Image für das NGW100 zu bauen. ZUnächste 
versuchte ich mich erstmal mit der Standartconfig um zu sehen ob make 
überhaupt funktioniert. Habe
mit "make atngw100_defconfig" angefangen. Habe dann mit "make" 
weitergemacht.

Und er wirft mir folgendes Ergebnis aus:
make[1]: Betrete Verzeichnis '/home/philipp/buildroot-avr32-v2.3.0/toolchain_build_avr32/linux-2.6.27.6'
  CHK     include/linux/version.h
  HOSTCC  scripts/unifdef
scripts/unifdef.c:209: error: conflicting types for getline
/usr/include/stdio.h:651: note: previous declaration of getline was here
make[2]: *** [scripts/unifdef] Fehler 1
make[1]: *** [__headers] Fehler 2
make[1]: Verlasse Verzeichnis '/home/philipp/buildroot-avr32-v2.3.0/toolchain_build_avr32/linux-2.6.27.6'
make: *** [/home/philipp/buildroot-avr32-v2.3.0/toolchain_build_avr32/linux/.configured] Fehler 2
root@philipp-laptop:/home/philipp/buildroot-avr32-v2.3.0# ^C
root@philipp-laptop:/home/philipp/buildroot-avr32-v2.3.0# 
ER erzeugt leider nichts
Kennt jemand das Problem ?

Autor: Stefan B. (stefan) Benutzerseite
Datum:

Bewertung
0 lesenswert
nicht lesenswert

Autor: ... (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
als aller erstes: nur unter Ubuntu 8.04 oder 9.04 builden.

Dann diese Pakete nachladen.
> - C compiler (GCC)
> - C++ compiler (G++)
> - GNU make

Diese Pakete sollte man bei Ubuntu aber nur durch  build-essential
http://packages.ubuntu.com/dapper/build-essential
und zwar abhängig von der Ubuntu-Version nachladen.

Autor: ... (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
> HOSTCC  scripts/unifdef

ist übrigens der Fehler, weil dein Linux nicht die richtige GCC-Version 
hat.

Autor: Philipp H. (ennox)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Habe Ubuntu 9.10 drauf da dran dürfte es liegen.

Das ist doch einafch mal bescheurt. Gerade in der LInux Welt wo häufige 
UPdates vorkommen .... Na ja mal schauen ob ich es damit ans laufen 
bekomme.
Alle anderen Files sind auf dem aktuellsten Stand gewesen.

Danke Euch

Autor: Dirk Erdweg (dirke)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Hallo,

habe mit dem selben Problem zu kämpfen und folgende Lösung gefunden.
Habe Sie aber selber noch nicht ausprobiert!

http://www.avrfreaks.net/index.php?name=PNphpBB2&f...

http://patchwork.kernel.org/patch/11166/

Gruß
Dirk

Antwort schreiben

Die Angabe einer E-Mail-Adresse ist freiwillig. Wenn Sie automatisch per E-Mail über Antworten auf Ihren Beitrag informiert werden möchten, melden Sie sich bitte an.

Wichtige Regeln - erst lesen, dann posten!

  • Groß- und Kleinschreibung verwenden
  • Längeren Sourcecode nicht im Text einfügen, sondern als Dateianhang

Formatierung (mehr Informationen...)

  • [c]C-Code[/c]
  • [avrasm]AVR-Assembler-Code[/avrasm]
  • [code]Code in anderen Sprachen, ASCII-Zeichnungen[/code]
  • [math]Formel in LaTeX-Syntax[/math]
  • [[Titel]] - Link zu Artikel
  • Verweis auf anderen Beitrag einfügen: Rechtsklick auf Beitragstitel,
    "Adresse kopieren", und in den Text einfügen




Bild automatisch verkleinern, falls nötig
Bitte das JPG-Format nur für Fotos und Scans verwenden!
Zeichnungen und Screenshots im PNG- oder
GIF-Format hochladen. Siehe Bildformate.
Hinweis: der ursprüngliche Beitrag ist mehr als 6 Monate alt.
Bitte hier nur auf die ursprüngliche Frage antworten,
für neue Fragen einen neuen Beitrag erstellen.

Mit dem Abschicken bestätigst du, die Nutzungsbedingungen anzuerkennen.